Loading...
Searching...
No Matches
apr_xml.h File Reference

APR-UTIL XML Library. More...

`#include "apr_pools.h"`
`#include "apr_tables.h"`
`#include "apr_file_io.h"`
`#include "apu.h"`
Include dependency graph for apr_xml.h:

Go to the source code of this file.

## Data Structures

struct | apr_text
struct | apr_text_header
struct | apr_xml_attr
struct | apr_xml_elem
struct | apr_xml_doc

## Namespaces

namespace | Apache

## Macros

#define | APR_XML_NS_DAV_ID 0
#define | APR_XML_NS_NONE -10
#define | APR_XML_NS_ERROR_BASE -100
#define | APR_XML_NS_IS_ERROR(e) ((e) <= APR_XML_NS_ERROR_BASE)
#define | APR_XML_ELEM_IS_EMPTY(e)
#define | APR_XML_X2T_FULL 0
#define | APR_XML_X2T_INNER 1
#define | APR_XML_X2T_LANG_INNER 2
#define | APR_XML_X2T_FULL_NS_LANG 3
#define | APR_XML_X2T_PARSED 4
#define | APR_XML_GET_URI_ITEM(ary, i) (((const char * const *)(ary)->elts)[i])

## Typedefs

typedef struct apr_text | apr_text
typedef struct apr_text_header | apr_text_header
typedef struct apr_xml_attr | apr_xml_attr
typedef struct apr_xml_elem | apr_xml_elem
typedef struct apr_xml_doc | apr_xml_doc
typedef struct apr_xml_parser | apr_xml_parser

## Functions

void | apr_text_append (apr_pool_t *p, apr_text_header *hdr, const char *text)
apr_xml_parser * | apr_xml_parser_create (apr_pool_t *pool)
apr_status_t | apr_xml_parse_file (apr_pool_t *p, apr_xml_parser **parser, apr_xml_doc **ppdoc, apr_file_t *xmlfd, apr_size_t buffer_length)
apr_status_t | apr_xml_parser_feed (apr_xml_parser *parser, const char *data, apr_size_t len)
apr_status_t | apr_xml_parser_done (apr_xml_parser *parser, apr_xml_doc **pdoc)
char * | apr_xml_parser_geterror (apr_xml_parser *parser, char *errbuf, apr_size_t errbufsize)
void | apr_xml_to_text (apr_pool_t *p, const apr_xml_elem *elem, int style, apr_array_header_t *namespaces, int *ns_map, const char **pbuf, apr_size_t *psize)
const char * | apr_xml_empty_elem (apr_pool_t *p, const apr_xml_elem *elem)
const char * | apr_xml_quote_string (apr_pool_t *p, const char *s, int quotes)
void | apr_xml_quote_elem (apr_pool_t *p, apr_xml_elem *elem)
int | apr_xml_insert_uri (apr_array_header_t *uri_array, const char *uri)

## Detailed Description

APR-UTIL XML Library.